    The XSPEC hatm model: Nonmagnetic hydrogen atmosphere of a neutron star.

xshatm
The xshatm model is an additive model component.

The model is described at [1] . The set_xsxset and get_xsxset

functions are used to set and query the XSPEC XSET "HATM" parameter.

>>> create_model_component("xshatm", "mdl")
>>> print(mdl)

Create a component of the xshatm model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.T thawed 3 0.5 10 MK mdl.NSmass thawed 1.4 0.6 2.8 Msun mdl.NSrad thawed 10 5 23 km mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
T
Effective temperature, in MK.
NSmass
Neutron star mass, in M_sol.
NSrad
Neutron star radius, in km.
norm
The normalization of the model: see [1] for an explanation of the units.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelHatm.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023